Subject: Re: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Harald Hanche-Olsen <[email-masked]>
Date: Sat, 15 Sep 2012 15:19:09 +0200 (CEST)

[Eli Zaretskii <[email-masked]> (2012-09-15 12:31:50 UTC)]

> No, the real story of how timers work is in process.c.  See the
> function wait_reading_process_output there, which runs the timers via
> the call to timer_check around line 4444; time_check and its
> subroutines are in keyboard.c.
> 
> timer.el is just the Lisp interface to that code, used to create,
> delete, and manage timer objects.

Okay, I'll study it; but it seems ludicrous that you need to read C
code in order to use timers from elisp without causing emacs to hang.
I almost feel like filing a documentation bug report. But I'll try to
gain a better understanding of the issue before considering that.

- Harald